%bcond_with tests

Name:           ansible-collection-netbox-netbox
Version:        3.9.0
Release:    1%{?dist}
Summary:        Netbox modules for Ansible

License:        GPL-3.0-or-later
URL:            https://github.com/netbox-community/ansible_modules
%global furl    https://github.com/netbox-community/ansible_modules
Source0:         %{furl}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch:          build_ignore.patch

BuildRequires:  ansible-packaging
%if %{with tests}
BuildRequires:  ansible-packaging-tests
%endif

BuildArch:      noarch

%description
%{summary}.

%prep
%autosetup -n ansible_modules-%{version} -p1
sed -i -e '1{\@^#!.*@d}' plugins/modules/*.py

%build
%ansible_collection_build

%install
%ansible_collection_install

%if %{with tests}
%check
%ansible_test_unit
%endif

%files -f %{ansible_collection_filelist}
%license LICENSE
%doc README.md CHANGELOG.rst

%changelog
* Thu Aug 08 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.9.0-1
- initial build
